<?php

/**
 * Contains translatable country data, programmatically extracted from '/vendor/geoip/geoip.inc'
 *
 * @package Limit Login Countries
 * @author: Dirk Weise
 * @since 0.4
 */
class LLC_GeoIP_Countries {

	/**
	 * @var array $country_data Country names in associative array, key is the respective two letter country code.
	 */
	public $country_data = array();

	/**
	 * @var array $country_data_r Country codes in associative array, key is the localized country name.
	 */
	public $country_data_r = array();

	/**
	 * @var array $country_data_r Country codes in associative array, key is the localized country name.
	 */
	public $country_names = array();

	/**
	 * @var array $country_codes Country codes in array.
	 */
	public $country_codes = array (
		0 => '',
		1 => 'AP',
		2 => 'EU',
		3 => 'AD',
		4 => 'AE',
		5 => 'AF',
		6 => 'AG',
		7 => 'AI',
		8 => 'AL',
		9 => 'AM',
		10 => 'CW',
		11 => 'AO',
		12 => 'AQ',
		13 => 'AR',
		14 => 'AS',
		15 => 'AT',
		16 => 'AU',
		17 => 'AW',
		18 => 'AZ',
		19 => 'BA',
		20 => 'BB',
		21 => 'BD',
		22 => 'BE',
		23 => 'BF',
		24 => 'BG',
		25 => 'BH',
		26 => 'BI',
		27 => 'BJ',
		28 => 'BM',
		29 => 'BN',
		30 => 'BO',
		31 => 'BR',
		32 => 'BS',
		33 => 'BT',
		34 => 'BV',
		35 => 'BW',
		36 => 'BY',
		37 => 'BZ',
		38 => 'CA',
		39 => 'CC',
		40 => 'CD',
		41 => 'CF',
		42 => 'CG',
		43 => 'CH',
		44 => 'CI',
		45 => 'CK',
		46 => 'CL',
		47 => 'CM',
		48 => 'CN',
		49 => 'CO',
		50 => 'CR',
		51 => 'CU',
		52 => 'CV',
		53 => 'CX',
		54 => 'CY',
		55 => 'CZ',
		56 => 'DE',
		57 => 'DJ',
		58 => 'DK',
		59 => 'DM',
		60 => 'DO',
		61 => 'DZ',
		62 => 'EC',
		63 => 'EE',
		64 => 'EG',
		65 => 'EH',
		66 => 'ER',
		67 => 'ES',
		68 => 'ET',
		69 => 'FI',
		70 => 'FJ',
		71 => 'FK',
		72 => 'FM',
		73 => 'FO',
		74 => 'FR',
		75 => 'SX',
		76 => 'GA',
		77 => 'GB',
		78 => 'GD',
		79 => 'GE',
		80 => 'GF',
		81 => 'GH',
		82 => 'GI',
		83 => 'GL',
		84 => 'GM',
		85 => 'GN',
		86 => 'GP',
		87 => 'GQ',
		88 => 'GR',
		89 => 'GS',
		90 => 'GT',
		91 => 'GU',
		92 => 'GW',
		93 => 'GY',
		94 => 'HK',
		95 => 'HM',
		96 => 'HN',
		97 => 'HR',
		98 => 'HT',
		99 => 'HU',
		100 => 'ID',
		101 => 'IE',
		102 => 'IL',
		103 => 'IN',
		104 => 'IO',
		105 => 'IQ',
		106 => 'IR',
		107 => 'IS',
		108 => 'IT',
		109 => 'JM',
		110 => 'JO',
		111 => 'JP',
		112 => 'KE',
		113 => 'KG',
		114 => 'KH',
		115 => 'KI',
		116 => 'KM',
		117 => 'KN',
		118 => 'KP',
		119 => 'KR',
		120 => 'KW',
		121 => 'KY',
		122 => 'KZ',
		123 => 'LA',
		124 => 'LB',
		125 => 'LC',
		126 => 'LI',
		127 => 'LK',
		128 => 'LR',
		129 => 'LS',
		130 => 'LT',
		131 => 'LU',
		132 => 'LV',
		133 => 'LY',
		134 => 'MA',
		135 => 'MC',
		136 => 'MD',
		137 => 'MG',
		138 => 'MH',
		139 => 'MK',
		140 => 'ML',
		141 => 'MM',
		142 => 'MN',
		143 => 'MO',
		144 => 'MP',
		145 => 'MQ',
		146 => 'MR',
		147 => 'MS',
		148 => 'MT',
		149 => 'MU',
		150 => 'MV',
		151 => 'MW',
		152 => 'MX',
		153 => 'MY',
		154 => 'MZ',
		155 => 'NA',
		156 => 'NC',
		157 => 'NE',
		158 => 'NF',
		159 => 'NG',
		160 => 'NI',
		161 => 'NL',
		162 => 'NO',
		163 => 'NP',
		164 => 'NR',
		165 => 'NU',
		166 => 'NZ',
		167 => 'OM',
		168 => 'PA',
		169 => 'PE',
		170 => 'PF',
		171 => 'PG',
		172 => 'PH',
		173 => 'PK',
		174 => 'PL',
		175 => 'PM',
		176 => 'PN',
		177 => 'PR',
		178 => 'PS',
		179 => 'PT',
		180 => 'PW',
		181 => 'PY',
		182 => 'QA',
		183 => 'RE',
		184 => 'RO',
		185 => 'RU',
		186 => 'RW',
		187 => 'SA',
		188 => 'SB',
		189 => 'SC',
		190 => 'SD',
		191 => 'SE',
		192 => 'SG',
		193 => 'SH',
		194 => 'SI',
		195 => 'SJ',
		196 => 'SK',
		197 => 'SL',
		198 => 'SM',
		199 => 'SN',
		200 => 'SO',
		201 => 'SR',
		202 => 'ST',
		203 => 'SV',
		204 => 'SY',
		205 => 'SZ',
		206 => 'TC',
		207 => 'TD',
		208 => 'TF',
		209 => 'TG',
		210 => 'TH',
		211 => 'TJ',
		212 => 'TK',
		213 => 'TM',
		214 => 'TN',
		215 => 'TO',
		216 => 'TL',
		217 => 'TR',
		218 => 'TT',
		219 => 'TV',
		220 => 'TW',
		221 => 'TZ',
		222 => 'UA',
		223 => 'UG',
		224 => 'UM',
		225 => 'US',
		226 => 'UY',
		227 => 'UZ',
		228 => 'VA',
		229 => 'VC',
		230 => 'VE',
		231 => 'VG',
		232 => 'VI',
		233 => 'VN',
		234 => 'VU',
		235 => 'WF',
		236 => 'WS',
		237 => 'YE',
		238 => 'YT',
		239 => 'RS',
		240 => 'ZA',
		241 => 'ZM',
		242 => 'ME',
		243 => 'ZW',
		244 => 'A1',
		245 => 'A2',
		246 => 'O1',
		247 => 'AX',
		248 => 'GG',
		249 => 'IM',
		250 => 'JE',
		251 => 'BL',
		252 => 'MF',
		253 => 'BQ',
		254 => 'SS',
		255 => 'O1',
);

	/**
	 *	Constructor fills our country data arrays. Static definition is not possible because we want to translate all strings.
	 *
	 * @since 0.4
	 */
	public function __construct() {
		$this->country_data['A1'] = __('Anonymous Proxy', 'limit-login-countries');
		$this->country_data['A2'] = __('Satellite Provider', 'limit-login-countries');
		$this->country_data['AD'] = __('Andorra', 'limit-login-countries');
		$this->country_data['AE'] = __('United Arab Emirates', 'limit-login-countries');
		$this->country_data['AF'] = __('Afghanistan', 'limit-login-countries');
		$this->country_data['AG'] = __('Antigua and Barbuda', 'limit-login-countries');
		$this->country_data['AI'] = __('Anguilla', 'limit-login-countries');
		$this->country_data['AL'] = __('Albania', 'limit-login-countries');
		$this->country_data['AM'] = __('Armenia', 'limit-login-countries');
		$this->country_data['AO'] = __('Angola', 'limit-login-countries');
		$this->country_data['AP'] = __('Asia/Pacific Region', 'limit-login-countries');
		$this->country_data['AQ'] = __('Antarctica', 'limit-login-countries');
		$this->country_data['AR'] = __('Argentina', 'limit-login-countries');
		$this->country_data['AS'] = __('American Samoa', 'limit-login-countries');
		$this->country_data['AT'] = __('Austria', 'limit-login-countries');
		$this->country_data['AU'] = __('Australia', 'limit-login-countries');
		$this->country_data['AW'] = __('Aruba', 'limit-login-countries');
		$this->country_data['AX'] = __('Aland Islands', 'limit-login-countries');
		$this->country_data['AZ'] = __('Azerbaijan', 'limit-login-countries');
		$this->country_data['BA'] = __('Bosnia and Herzegovina', 'limit-login-countries');
		$this->country_data['BB'] = __('Barbados', 'limit-login-countries');
		$this->country_data['BD'] = __('Bangladesh', 'limit-login-countries');
		$this->country_data['BE'] = __('Belgium', 'limit-login-countries');
		$this->country_data['BF'] = __('Burkina Faso', 'limit-login-countries');
		$this->country_data['BG'] = __('Bulgaria', 'limit-login-countries');
		$this->country_data['BH'] = __('Bahrain', 'limit-login-countries');
		$this->country_data['BI'] = __('Burundi', 'limit-login-countries');
		$this->country_data['BJ'] = __('Benin', 'limit-login-countries');
		$this->country_data['BL'] = __('Saint Barthelemy', 'limit-login-countries');
		$this->country_data['BM'] = __('Bermuda', 'limit-login-countries');
		$this->country_data['BN'] = __('Brunei Darussalam', 'limit-login-countries');
		$this->country_data['BO'] = __('Bolivia', 'limit-login-countries');
		$this->country_data['BQ'] = __('Bonaire, Saint Eustatius and Saba', 'limit-login-countries');
		$this->country_data['BR'] = __('Brazil', 'limit-login-countries');
		$this->country_data['BS'] = __('Bahamas', 'limit-login-countries');
		$this->country_data['BT'] = __('Bhutan', 'limit-login-countries');
		$this->country_data['BV'] = __('Bouvet Island', 'limit-login-countries');
		$this->country_data['BW'] = __('Botswana', 'limit-login-countries');
		$this->country_data['BY'] = __('Belarus', 'limit-login-countries');
		$this->country_data['BZ'] = __('Belize', 'limit-login-countries');
		$this->country_data['CA'] = __('Canada', 'limit-login-countries');
		$this->country_data['CC'] = __('Cocos (Keeling) Islands', 'limit-login-countries');
		$this->country_data['CD'] = __('The Democratic Republic of the Congo', 'limit-login-countries');
		$this->country_data['CF'] = __('Central African Republic', 'limit-login-countries');
		$this->country_data['CG'] = __('Congo', 'limit-login-countries');
		$this->country_data['CH'] = __('Switzerland', 'limit-login-countries');
		$this->country_data['CI'] = __('Cote D\'Ivoire', 'limit-login-countries');
		$this->country_data['CK'] = __('Cook Islands', 'limit-login-countries');
		$this->country_data['CL'] = __('Chile', 'limit-login-countries');
		$this->country_data['CM'] = __('Cameroon', 'limit-login-countries');
		$this->country_data['CN'] = __('China', 'limit-login-countries');
		$this->country_data['CO'] = __('Colombia', 'limit-login-countries');
		$this->country_data['CR'] = __('Costa Rica', 'limit-login-countries');
		$this->country_data['CU'] = __('Cuba', 'limit-login-countries');
		$this->country_data['CV'] = __('Cape Verde', 'limit-login-countries');
		$this->country_data['CW'] = __('Curacao', 'limit-login-countries');
		$this->country_data['CX'] = __('Christmas Island', 'limit-login-countries');
		$this->country_data['CY'] = __('Cyprus', 'limit-login-countries');
		$this->country_data['CZ'] = __('Czech Republic', 'limit-login-countries');
		$this->country_data['DE'] = __('Germany', 'limit-login-countries');
		$this->country_data['DJ'] = __('Djibouti', 'limit-login-countries');
		$this->country_data['DK'] = __('Denmark', 'limit-login-countries');
		$this->country_data['DM'] = __('Dominica', 'limit-login-countries');
		$this->country_data['DO'] = __('Dominican Republic', 'limit-login-countries');
		$this->country_data['DZ'] = __('Algeria', 'limit-login-countries');
		$this->country_data['EC'] = __('Ecuador', 'limit-login-countries');
		$this->country_data['EE'] = __('Estonia', 'limit-login-countries');
		$this->country_data['EG'] = __('Egypt', 'limit-login-countries');
		$this->country_data['EH'] = __('Western Sahara', 'limit-login-countries');
		$this->country_data['ER'] = __('Eritrea', 'limit-login-countries');
		$this->country_data['ES'] = __('Spain', 'limit-login-countries');
		$this->country_data['ET'] = __('Ethiopia', 'limit-login-countries');
		$this->country_data['EU'] = __('Europe', 'limit-login-countries');
		$this->country_data['FI'] = __('Finland', 'limit-login-countries');
		$this->country_data['FJ'] = __('Fiji', 'limit-login-countries');
		$this->country_data['FK'] = __('Falkland Islands (Malvinas)', 'limit-login-countries');
		$this->country_data['FM'] = __('Federated States of Micronesia', 'limit-login-countries');
		$this->country_data['FO'] = __('Faroe Islands', 'limit-login-countries');
		$this->country_data['FR'] = __('France', 'limit-login-countries');
		$this->country_data['GA'] = __('Gabon', 'limit-login-countries');
		$this->country_data['GB'] = __('United Kingdom', 'limit-login-countries');
		$this->country_data['GD'] = __('Grenada', 'limit-login-countries');
		$this->country_data['GE'] = __('Georgia', 'limit-login-countries');
		$this->country_data['GF'] = __('French Guiana', 'limit-login-countries');
		$this->country_data['GG'] = __('Guernsey', 'limit-login-countries');
		$this->country_data['GH'] = __('Ghana', 'limit-login-countries');
		$this->country_data['GI'] = __('Gibraltar', 'limit-login-countries');
		$this->country_data['GL'] = __('Greenland', 'limit-login-countries');
		$this->country_data['GM'] = __('Gambia', 'limit-login-countries');
		$this->country_data['GN'] = __('Guinea', 'limit-login-countries');
		$this->country_data['GP'] = __('Guadeloupe', 'limit-login-countries');
		$this->country_data['GQ'] = __('Equatorial Guinea', 'limit-login-countries');
		$this->country_data['GR'] = __('Greece', 'limit-login-countries');
		$this->country_data['GS'] = __('South Georgia and the South Sandwich Islands', 'limit-login-countries');
		$this->country_data['GT'] = __('Guatemala', 'limit-login-countries');
		$this->country_data['GU'] = __('Guam', 'limit-login-countries');
		$this->country_data['GW'] = __('Guinea-Bissau', 'limit-login-countries');
		$this->country_data['GY'] = __('Guyana', 'limit-login-countries');
		$this->country_data['HK'] = __('Hong Kong', 'limit-login-countries');
		$this->country_data['HM'] = __('Heard Island and McDonald Islands', 'limit-login-countries');
		$this->country_data['HN'] = __('Honduras', 'limit-login-countries');
		$this->country_data['HR'] = __('Croatia', 'limit-login-countries');
		$this->country_data['HT'] = __('Haiti', 'limit-login-countries');
		$this->country_data['HU'] = __('Hungary', 'limit-login-countries');
		$this->country_data['ID'] = __('Indonesia', 'limit-login-countries');
		$this->country_data['IE'] = __('Ireland', 'limit-login-countries');
		$this->country_data['IL'] = __('Israel', 'limit-login-countries');
		$this->country_data['IM'] = __('Isle of Man', 'limit-login-countries');
		$this->country_data['IN'] = __('India', 'limit-login-countries');
		$this->country_data['IO'] = __('British Indian Ocean Territory', 'limit-login-countries');
		$this->country_data['IQ'] = __('Iraq', 'limit-login-countries');
		$this->country_data['IR'] = __('Islamic Republic of Iran', 'limit-login-countries');
		$this->country_data['IS'] = __('Iceland', 'limit-login-countries');
		$this->country_data['IT'] = __('Italy', 'limit-login-countries');
		$this->country_data['JE'] = __('Jersey', 'limit-login-countries');
		$this->country_data['JM'] = __('Jamaica', 'limit-login-countries');
		$this->country_data['JO'] = __('Jordan', 'limit-login-countries');
		$this->country_data['JP'] = __('Japan', 'limit-login-countries');
		$this->country_data['KE'] = __('Kenya', 'limit-login-countries');
		$this->country_data['KG'] = __('Kyrgyzstan', 'limit-login-countries');
		$this->country_data['KH'] = __('Cambodia', 'limit-login-countries');
		$this->country_data['KI'] = __('Kiribati', 'limit-login-countries');
		$this->country_data['KM'] = __('Comoros', 'limit-login-countries');
		$this->country_data['KN'] = __('Saint Kitts and Nevis', 'limit-login-countries');
		$this->country_data['KP'] = __('Democratic People\'s Republic of Korea', 'limit-login-countries');
		$this->country_data['KR'] = __('Republic of Korea', 'limit-login-countries');
		$this->country_data['KW'] = __('Kuwait', 'limit-login-countries');
		$this->country_data['KY'] = __('Cayman Islands', 'limit-login-countries');
		$this->country_data['KZ'] = __('Kazakhstan', 'limit-login-countries');
		$this->country_data['LA'] = __('Lao People\'s Democratic Republic', 'limit-login-countries');
		$this->country_data['LB'] = __('Lebanon', 'limit-login-countries');
		$this->country_data['LC'] = __('Saint Lucia', 'limit-login-countries');
		$this->country_data['LI'] = __('Liechtenstein', 'limit-login-countries');
		$this->country_data['LK'] = __('Sri Lanka', 'limit-login-countries');
		$this->country_data['LR'] = __('Liberia', 'limit-login-countries');
		$this->country_data['LS'] = __('Lesotho', 'limit-login-countries');
		$this->country_data['LT'] = __('Lithuania', 'limit-login-countries');
		$this->country_data['LU'] = __('Luxembourg', 'limit-login-countries');
		$this->country_data['LV'] = __('Latvia', 'limit-login-countries');
		$this->country_data['LY'] = __('Libya', 'limit-login-countries');
		$this->country_data['MA'] = __('Morocco', 'limit-login-countries');
		$this->country_data['MC'] = __('Monaco', 'limit-login-countries');
		$this->country_data['MD'] = __('Republic of Moldova', 'limit-login-countries');
		$this->country_data['ME'] = __('Montenegro', 'limit-login-countries');
		$this->country_data['MF'] = __('Saint Martin', 'limit-login-countries');
		$this->country_data['MG'] = __('Madagascar', 'limit-login-countries');
		$this->country_data['MH'] = __('Marshall Islands', 'limit-login-countries');
		$this->country_data['MK'] = __('Macedonia', 'limit-login-countries');
		$this->country_data['ML'] = __('Mali', 'limit-login-countries');
		$this->country_data['MM'] = __('Myanmar', 'limit-login-countries');
		$this->country_data['MN'] = __('Mongolia', 'limit-login-countries');
		$this->country_data['MO'] = __('Macau', 'limit-login-countries');
		$this->country_data['MP'] = __('Northern Mariana Islands', 'limit-login-countries');
		$this->country_data['MQ'] = __('Martinique', 'limit-login-countries');
		$this->country_data['MR'] = __('Mauritania', 'limit-login-countries');
		$this->country_data['MS'] = __('Montserrat', 'limit-login-countries');
		$this->country_data['MT'] = __('Malta', 'limit-login-countries');
		$this->country_data['MU'] = __('Mauritius', 'limit-login-countries');
		$this->country_data['MV'] = __('Maldives', 'limit-login-countries');
		$this->country_data['MW'] = __('Malawi', 'limit-login-countries');
		$this->country_data['MX'] = __('Mexico', 'limit-login-countries');
		$this->country_data['MY'] = __('Malaysia', 'limit-login-countries');
		$this->country_data['MZ'] = __('Mozambique', 'limit-login-countries');
		$this->country_data['NA'] = __('Namibia', 'limit-login-countries');
		$this->country_data['NC'] = __('New Caledonia', 'limit-login-countries');
		$this->country_data['NE'] = __('Niger', 'limit-login-countries');
		$this->country_data['NF'] = __('Norfolk Island', 'limit-login-countries');
		$this->country_data['NG'] = __('Nigeria', 'limit-login-countries');
		$this->country_data['NI'] = __('Nicaragua', 'limit-login-countries');
		$this->country_data['NL'] = __('Netherlands', 'limit-login-countries');
		$this->country_data['NO'] = __('Norway', 'limit-login-countries');
		$this->country_data['NP'] = __('Nepal', 'limit-login-countries');
		$this->country_data['NR'] = __('Nauru', 'limit-login-countries');
		$this->country_data['NU'] = __('Niue', 'limit-login-countries');
		$this->country_data['NZ'] = __('New Zealand', 'limit-login-countries');
		$this->country_data['O1'] = __('Other', 'limit-login-countries');
		$this->country_data['OM'] = __('Oman', 'limit-login-countries');
		$this->country_data['PA'] = __('Panama', 'limit-login-countries');
		$this->country_data['PE'] = __('Peru', 'limit-login-countries');
		$this->country_data['PF'] = __('French Polynesia', 'limit-login-countries');
		$this->country_data['PG'] = __('Papua New Guinea', 'limit-login-countries');
		$this->country_data['PH'] = __('Philippines', 'limit-login-countries');
		$this->country_data['PK'] = __('Pakistan', 'limit-login-countries');
		$this->country_data['PL'] = __('Poland', 'limit-login-countries');
		$this->country_data['PM'] = __('Saint Pierre and Miquelon', 'limit-login-countries');
		$this->country_data['PN'] = __('Pitcairn Islands', 'limit-login-countries');
		$this->country_data['PR'] = __('Puerto Rico', 'limit-login-countries');
		$this->country_data['PS'] = __('Palestinian Territory', 'limit-login-countries');
		$this->country_data['PT'] = __('Portugal', 'limit-login-countries');
		$this->country_data['PW'] = __('Palau', 'limit-login-countries');
		$this->country_data['PY'] = __('Paraguay', 'limit-login-countries');
		$this->country_data['QA'] = __('Qatar', 'limit-login-countries');
		$this->country_data['RE'] = __('Reunion', 'limit-login-countries');
		$this->country_data['RO'] = __('Romania', 'limit-login-countries');
		$this->country_data['RS'] = __('Serbia', 'limit-login-countries');
		$this->country_data['RU'] = __('Russian Federation', 'limit-login-countries');
		$this->country_data['RW'] = __('Rwanda', 'limit-login-countries');
		$this->country_data['SA'] = __('Saudi Arabia', 'limit-login-countries');
		$this->country_data['SB'] = __('Solomon Islands', 'limit-login-countries');
		$this->country_data['SC'] = __('Seychelles', 'limit-login-countries');
		$this->country_data['SD'] = __('Sudan', 'limit-login-countries');
		$this->country_data['SE'] = __('Sweden', 'limit-login-countries');
		$this->country_data['SG'] = __('Singapore', 'limit-login-countries');
		$this->country_data['SH'] = __('Saint Helena', 'limit-login-countries');
		$this->country_data['SI'] = __('Slovenia', 'limit-login-countries');
		$this->country_data['SJ'] = __('Svalbard and Jan Mayen', 'limit-login-countries');
		$this->country_data['SK'] = __('Slovakia', 'limit-login-countries');
		$this->country_data['SL'] = __('Sierra Leone', 'limit-login-countries');
		$this->country_data['SM'] = __('San Marino', 'limit-login-countries');
		$this->country_data['SN'] = __('Senegal', 'limit-login-countries');
		$this->country_data['SO'] = __('Somalia', 'limit-login-countries');
		$this->country_data['SR'] = __('Suriname', 'limit-login-countries');
		$this->country_data['SS'] = __('South Sudan', 'limit-login-countries');
		$this->country_data['ST'] = __('Sao Tome and Principe', 'limit-login-countries');
		$this->country_data['SV'] = __('El Salvador', 'limit-login-countries');
		$this->country_data['SX'] = __('Sint Maarten (Dutch part)', 'limit-login-countries');
		$this->country_data['SY'] = __('Syrian Arab Republic', 'limit-login-countries');
		$this->country_data['SZ'] = __('Swaziland', 'limit-login-countries');
		$this->country_data['TC'] = __('Turks and Caicos Islands', 'limit-login-countries');
		$this->country_data['TD'] = __('Chad', 'limit-login-countries');
		$this->country_data['TF'] = __('French Southern Territories', 'limit-login-countries');
		$this->country_data['TG'] = __('Togo', 'limit-login-countries');
		$this->country_data['TH'] = __('Thailand', 'limit-login-countries');
		$this->country_data['TJ'] = __('Tajikistan', 'limit-login-countries');
		$this->country_data['TK'] = __('Tokelau', 'limit-login-countries');
		$this->country_data['TL'] = __('Timor-Leste', 'limit-login-countries');
		$this->country_data['TM'] = __('Turkmenistan', 'limit-login-countries');
		$this->country_data['TN'] = __('Tunisia', 'limit-login-countries');
		$this->country_data['TO'] = __('Tonga', 'limit-login-countries');
		$this->country_data['TR'] = __('Turkey', 'limit-login-countries');
		$this->country_data['TT'] = __('Trinidad and Tobago', 'limit-login-countries');
		$this->country_data['TV'] = __('Tuvalu', 'limit-login-countries');
		$this->country_data['TW'] = __('Taiwan', 'limit-login-countries');
		$this->country_data['TZ'] = __('United Republic of Tanzania', 'limit-login-countries');
		$this->country_data['UA'] = __('Ukraine', 'limit-login-countries');
		$this->country_data['UG'] = __('Uganda', 'limit-login-countries');
		$this->country_data['UM'] = __('United States Minor Outlying Islands', 'limit-login-countries');
		$this->country_data['US'] = __('United States', 'limit-login-countries');
		$this->country_data['UY'] = __('Uruguay', 'limit-login-countries');
		$this->country_data['UZ'] = __('Uzbekistan', 'limit-login-countries');
		$this->country_data['VA'] = __('Holy See (Vatican City State)', 'limit-login-countries');
		$this->country_data['VC'] = __('Saint Vincent and the Grenadines', 'limit-login-countries');
		$this->country_data['VE'] = __('Venezuela', 'limit-login-countries');
		$this->country_data['VG'] = __('British Virgin Islands', 'limit-login-countries');
		$this->country_data['VI'] = __('U.S. Virgin Islands', 'limit-login-countries');
		$this->country_data['VN'] = __('Vietnam', 'limit-login-countries');
		$this->country_data['VU'] = __('Vanuatu', 'limit-login-countries');
		$this->country_data['WF'] = __('Wallis and Futuna', 'limit-login-countries');
		$this->country_data['WS'] = __('Samoa', 'limit-login-countries');
		$this->country_data['YE'] = __('Yemen', 'limit-login-countries');
		$this->country_data['YT'] = __('Mayotte', 'limit-login-countries');
		$this->country_data['ZA'] = __('South Africa', 'limit-login-countries');
		$this->country_data['ZM'] = __('Zambia', 'limit-login-countries');
		$this->country_data['ZW'] = __('Zimbabwe', 'limit-login-countries');

		$this->country_data_r[__('Anonymous Proxy', 'limit-login-countries')] = 'A1';
		$this->country_data_r[__('Satellite Provider', 'limit-login-countries')] = 'A2';
		$this->country_data_r[__('Andorra', 'limit-login-countries')] = 'AD';
		$this->country_data_r[__('United Arab Emirates', 'limit-login-countries')] = 'AE';
		$this->country_data_r[__('Afghanistan', 'limit-login-countries')] = 'AF';
		$this->country_data_r[__('Antigua and Barbuda', 'limit-login-countries')] = 'AG';
		$this->country_data_r[__('Anguilla', 'limit-login-countries')] = 'AI';
		$this->country_data_r[__('Albania', 'limit-login-countries')] = 'AL';
		$this->country_data_r[__('Armenia', 'limit-login-countries')] = 'AM';
		$this->country_data_r[__('Angola', 'limit-login-countries')] = 'AO';
		$this->country_data_r[__('Asia/Pacific Region', 'limit-login-countries')] = 'AP';
		$this->country_data_r[__('Antarctica', 'limit-login-countries')] = 'AQ';
		$this->country_data_r[__('Argentina', 'limit-login-countries')] = 'AR';
		$this->country_data_r[__('American Samoa', 'limit-login-countries')] = 'AS';
		$this->country_data_r[__('Austria', 'limit-login-countries')] = 'AT';
		$this->country_data_r[__('Australia', 'limit-login-countries')] = 'AU';
		$this->country_data_r[__('Aruba', 'limit-login-countries')] = 'AW';
		$this->country_data_r[__('Aland Islands', 'limit-login-countries')] = 'AX';
		$this->country_data_r[__('Azerbaijan', 'limit-login-countries')] = 'AZ';
		$this->country_data_r[__('Bosnia and Herzegovina', 'limit-login-countries')] = 'BA';
		$this->country_data_r[__('Barbados', 'limit-login-countries')] = 'BB';
		$this->country_data_r[__('Bangladesh', 'limit-login-countries')] = 'BD';
		$this->country_data_r[__('Belgium', 'limit-login-countries')] = 'BE';
		$this->country_data_r[__('Burkina Faso', 'limit-login-countries')] = 'BF';
		$this->country_data_r[__('Bulgaria', 'limit-login-countries')] = 'BG';
		$this->country_data_r[__('Bahrain', 'limit-login-countries')] = 'BH';
		$this->country_data_r[__('Burundi', 'limit-login-countries')] = 'BI';
		$this->country_data_r[__('Benin', 'limit-login-countries')] = 'BJ';
		$this->country_data_r[__('Saint Barthelemy', 'limit-login-countries')] = 'BL';
		$this->country_data_r[__('Bermuda', 'limit-login-countries')] = 'BM';
		$this->country_data_r[__('Brunei Darussalam', 'limit-login-countries')] = 'BN';
		$this->country_data_r[__('Bolivia', 'limit-login-countries')] = 'BO';
		$this->country_data_r[__('Bonaire, Saint Eustatius and Saba', 'limit-login-countries')] = 'BQ';
		$this->country_data_r[__('Brazil', 'limit-login-countries')] = 'BR';
		$this->country_data_r[__('Bahamas', 'limit-login-countries')] = 'BS';
		$this->country_data_r[__('Bhutan', 'limit-login-countries')] = 'BT';
		$this->country_data_r[__('Bouvet Island', 'limit-login-countries')] = 'BV';
		$this->country_data_r[__('Botswana', 'limit-login-countries')] = 'BW';
		$this->country_data_r[__('Belarus', 'limit-login-countries')] = 'BY';
		$this->country_data_r[__('Belize', 'limit-login-countries')] = 'BZ';
		$this->country_data_r[__('Canada', 'limit-login-countries')] = 'CA';
		$this->country_data_r[__('Cocos (Keeling) Islands', 'limit-login-countries')] = 'CC';
		$this->country_data_r[__('The Democratic Republic of the Congo', 'limit-login-countries')] = 'CD';
		$this->country_data_r[__('Central African Republic', 'limit-login-countries')] = 'CF';
		$this->country_data_r[__('Congo', 'limit-login-countries')] = 'CG';
		$this->country_data_r[__('Switzerland', 'limit-login-countries')] = 'CH';
		$this->country_data_r[__('Cote D\'Ivoire', 'limit-login-countries')] = 'CI';
		$this->country_data_r[__('Cook Islands', 'limit-login-countries')] = 'CK';
		$this->country_data_r[__('Chile', 'limit-login-countries')] = 'CL';
		$this->country_data_r[__('Cameroon', 'limit-login-countries')] = 'CM';
		$this->country_data_r[__('China', 'limit-login-countries')] = 'CN';
		$this->country_data_r[__('Colombia', 'limit-login-countries')] = 'CO';
		$this->country_data_r[__('Costa Rica', 'limit-login-countries')] = 'CR';
		$this->country_data_r[__('Cuba', 'limit-login-countries')] = 'CU';
		$this->country_data_r[__('Cape Verde', 'limit-login-countries')] = 'CV';
		$this->country_data_r[__('Curacao', 'limit-login-countries')] = 'CW';
		$this->country_data_r[__('Christmas Island', 'limit-login-countries')] = 'CX';
		$this->country_data_r[__('Cyprus', 'limit-login-countries')] = 'CY';
		$this->country_data_r[__('Czech Republic', 'limit-login-countries')] = 'CZ';
		$this->country_data_r[__('Germany', 'limit-login-countries')] = 'DE';
		$this->country_data_r[__('Djibouti', 'limit-login-countries')] = 'DJ';
		$this->country_data_r[__('Denmark', 'limit-login-countries')] = 'DK';
		$this->country_data_r[__('Dominica', 'limit-login-countries')] = 'DM';
		$this->country_data_r[__('Dominican Republic', 'limit-login-countries')] = 'DO';
		$this->country_data_r[__('Algeria', 'limit-login-countries')] = 'DZ';
		$this->country_data_r[__('Ecuador', 'limit-login-countries')] = 'EC';
		$this->country_data_r[__('Estonia', 'limit-login-countries')] = 'EE';
		$this->country_data_r[__('Egypt', 'limit-login-countries')] = 'EG';
		$this->country_data_r[__('Western Sahara', 'limit-login-countries')] = 'EH';
		$this->country_data_r[__('Eritrea', 'limit-login-countries')] = 'ER';
		$this->country_data_r[__('Spain', 'limit-login-countries')] = 'ES';
		$this->country_data_r[__('Ethiopia', 'limit-login-countries')] = 'ET';
		$this->country_data_r[__('Europe', 'limit-login-countries')] = 'EU';
		$this->country_data_r[__('Finland', 'limit-login-countries')] = 'FI';
		$this->country_data_r[__('Fiji', 'limit-login-countries')] = 'FJ';
		$this->country_data_r[__('Falkland Islands (Malvinas)', 'limit-login-countries')] = 'FK';
		$this->country_data_r[__('Federated States of Micronesia', 'limit-login-countries')] = 'FM';
		$this->country_data_r[__('Faroe Islands', 'limit-login-countries')] = 'FO';
		$this->country_data_r[__('France', 'limit-login-countries')] = 'FR';
		$this->country_data_r[__('Gabon', 'limit-login-countries')] = 'GA';
		$this->country_data_r[__('United Kingdom', 'limit-login-countries')] = 'GB';
		$this->country_data_r[__('Grenada', 'limit-login-countries')] = 'GD';
		$this->country_data_r[__('Georgia', 'limit-login-countries')] = 'GE';
		$this->country_data_r[__('French Guiana', 'limit-login-countries')] = 'GF';
		$this->country_data_r[__('Guernsey', 'limit-login-countries')] = 'GG';
		$this->country_data_r[__('Ghana', 'limit-login-countries')] = 'GH';
		$this->country_data_r[__('Gibraltar', 'limit-login-countries')] = 'GI';
		$this->country_data_r[__('Greenland', 'limit-login-countries')] = 'GL';
		$this->country_data_r[__('Gambia', 'limit-login-countries')] = 'GM';
		$this->country_data_r[__('Guinea', 'limit-login-countries')] = 'GN';
		$this->country_data_r[__('Guadeloupe', 'limit-login-countries')] = 'GP';
		$this->country_data_r[__('Equatorial Guinea', 'limit-login-countries')] = 'GQ';
		$this->country_data_r[__('Greece', 'limit-login-countries')] = 'GR';
		$this->country_data_r[__('South Georgia and the South Sandwich Islands', 'limit-login-countries')] = 'GS';
		$this->country_data_r[__('Guatemala', 'limit-login-countries')] = 'GT';
		$this->country_data_r[__('Guam', 'limit-login-countries')] = 'GU';
		$this->country_data_r[__('Guinea-Bissau', 'limit-login-countries')] = 'GW';
		$this->country_data_r[__('Guyana', 'limit-login-countries')] = 'GY';
		$this->country_data_r[__('Hong Kong', 'limit-login-countries')] = 'HK';
		$this->country_data_r[__('Heard Island and McDonald Islands', 'limit-login-countries')] = 'HM';
		$this->country_data_r[__('Honduras', 'limit-login-countries')] = 'HN';
		$this->country_data_r[__('Croatia', 'limit-login-countries')] = 'HR';
		$this->country_data_r[__('Haiti', 'limit-login-countries')] = 'HT';
		$this->country_data_r[__('Hungary', 'limit-login-countries')] = 'HU';
		$this->country_data_r[__('Indonesia', 'limit-login-countries')] = 'ID';
		$this->country_data_r[__('Ireland', 'limit-login-countries')] = 'IE';
		$this->country_data_r[__('Israel', 'limit-login-countries')] = 'IL';
		$this->country_data_r[__('Isle of Man', 'limit-login-countries')] = 'IM';
		$this->country_data_r[__('India', 'limit-login-countries')] = 'IN';
		$this->country_data_r[__('British Indian Ocean Territory', 'limit-login-countries')] = 'IO';
		$this->country_data_r[__('Iraq', 'limit-login-countries')] = 'IQ';
		$this->country_data_r[__('Islamic Republic of Iran', 'limit-login-countries')] = 'IR';
		$this->country_data_r[__('Iceland', 'limit-login-countries')] = 'IS';
		$this->country_data_r[__('Italy', 'limit-login-countries')] = 'IT';
		$this->country_data_r[__('Jersey', 'limit-login-countries')] = 'JE';
		$this->country_data_r[__('Jamaica', 'limit-login-countries')] = 'JM';
		$this->country_data_r[__('Jordan', 'limit-login-countries')] = 'JO';
		$this->country_data_r[__('Japan', 'limit-login-countries')] = 'JP';
		$this->country_data_r[__('Kenya', 'limit-login-countries')] = 'KE';
		$this->country_data_r[__('Kyrgyzstan', 'limit-login-countries')] = 'KG';
		$this->country_data_r[__('Cambodia', 'limit-login-countries')] = 'KH';
		$this->country_data_r[__('Kiribati', 'limit-login-countries')] = 'KI';
		$this->country_data_r[__('Comoros', 'limit-login-countries')] = 'KM';
		$this->country_data_r[__('Saint Kitts and Nevis', 'limit-login-countries')] = 'KN';
		$this->country_data_r[__('Democratic People\'s Republic of Korea', 'limit-login-countries')] = 'KP';
		$this->country_data_r[__('Republic of Korea', 'limit-login-countries')] = 'KR';
		$this->country_data_r[__('Kuwait', 'limit-login-countries')] = 'KW';
		$this->country_data_r[__('Cayman Islands', 'limit-login-countries')] = 'KY';
		$this->country_data_r[__('Kazakhstan', 'limit-login-countries')] = 'KZ';
		$this->country_data_r[__('Lao People\'s Democratic Republic', 'limit-login-countries')] = 'LA';
		$this->country_data_r[__('Lebanon', 'limit-login-countries')] = 'LB';
		$this->country_data_r[__('Saint Lucia', 'limit-login-countries')] = 'LC';
		$this->country_data_r[__('Liechtenstein', 'limit-login-countries')] = 'LI';
		$this->country_data_r[__('Sri Lanka', 'limit-login-countries')] = 'LK';
		$this->country_data_r[__('Liberia', 'limit-login-countries')] = 'LR';
		$this->country_data_r[__('Lesotho', 'limit-login-countries')] = 'LS';
		$this->country_data_r[__('Lithuania', 'limit-login-countries')] = 'LT';
		$this->country_data_r[__('Luxembourg', 'limit-login-countries')] = 'LU';
		$this->country_data_r[__('Latvia', 'limit-login-countries')] = 'LV';
		$this->country_data_r[__('Libya', 'limit-login-countries')] = 'LY';
		$this->country_data_r[__('Morocco', 'limit-login-countries')] = 'MA';
		$this->country_data_r[__('Monaco', 'limit-login-countries')] = 'MC';
		$this->country_data_r[__('Republic of Moldova', 'limit-login-countries')] = 'MD';
		$this->country_data_r[__('Montenegro', 'limit-login-countries')] = 'ME';
		$this->country_data_r[__('Saint Martin', 'limit-login-countries')] = 'MF';
		$this->country_data_r[__('Madagascar', 'limit-login-countries')] = 'MG';
		$this->country_data_r[__('Marshall Islands', 'limit-login-countries')] = 'MH';
		$this->country_data_r[__('Macedonia', 'limit-login-countries')] = 'MK';
		$this->country_data_r[__('Mali', 'limit-login-countries')] = 'ML';
		$this->country_data_r[__('Myanmar', 'limit-login-countries')] = 'MM';
		$this->country_data_r[__('Mongolia', 'limit-login-countries')] = 'MN';
		$this->country_data_r[__('Macau', 'limit-login-countries')] = 'MO';
		$this->country_data_r[__('Northern Mariana Islands', 'limit-login-countries')] = 'MP';
		$this->country_data_r[__('Martinique', 'limit-login-countries')] = 'MQ';
		$this->country_data_r[__('Mauritania', 'limit-login-countries')] = 'MR';
		$this->country_data_r[__('Montserrat', 'limit-login-countries')] = 'MS';
		$this->country_data_r[__('Malta', 'limit-login-countries')] = 'MT';
		$this->country_data_r[__('Mauritius', 'limit-login-countries')] = 'MU';
		$this->country_data_r[__('Maldives', 'limit-login-countries')] = 'MV';
		$this->country_data_r[__('Malawi', 'limit-login-countries')] = 'MW';
		$this->country_data_r[__('Mexico', 'limit-login-countries')] = 'MX';
		$this->country_data_r[__('Malaysia', 'limit-login-countries')] = 'MY';
		$this->country_data_r[__('Mozambique', 'limit-login-countries')] = 'MZ';
		$this->country_data_r[__('Namibia', 'limit-login-countries')] = 'NA';
		$this->country_data_r[__('New Caledonia', 'limit-login-countries')] = 'NC';
		$this->country_data_r[__('Niger', 'limit-login-countries')] = 'NE';
		$this->country_data_r[__('Norfolk Island', 'limit-login-countries')] = 'NF';
		$this->country_data_r[__('Nigeria', 'limit-login-countries')] = 'NG';
		$this->country_data_r[__('Nicaragua', 'limit-login-countries')] = 'NI';
		$this->country_data_r[__('Netherlands', 'limit-login-countries')] = 'NL';
		$this->country_data_r[__('Norway', 'limit-login-countries')] = 'NO';
		$this->country_data_r[__('Nepal', 'limit-login-countries')] = 'NP';
		$this->country_data_r[__('Nauru', 'limit-login-countries')] = 'NR';
		$this->country_data_r[__('Niue', 'limit-login-countries')] = 'NU';
		$this->country_data_r[__('New Zealand', 'limit-login-countries')] = 'NZ';
		$this->country_data_r[__('Other', 'limit-login-countries')] = 'O1';
		$this->country_data_r[__('Oman', 'limit-login-countries')] = 'OM';
		$this->country_data_r[__('Panama', 'limit-login-countries')] = 'PA';
		$this->country_data_r[__('Peru', 'limit-login-countries')] = 'PE';
		$this->country_data_r[__('French Polynesia', 'limit-login-countries')] = 'PF';
		$this->country_data_r[__('Papua New Guinea', 'limit-login-countries')] = 'PG';
		$this->country_data_r[__('Philippines', 'limit-login-countries')] = 'PH';
		$this->country_data_r[__('Pakistan', 'limit-login-countries')] = 'PK';
		$this->country_data_r[__('Poland', 'limit-login-countries')] = 'PL';
		$this->country_data_r[__('Saint Pierre and Miquelon', 'limit-login-countries')] = 'PM';
		$this->country_data_r[__('Pitcairn Islands', 'limit-login-countries')] = 'PN';
		$this->country_data_r[__('Puerto Rico', 'limit-login-countries')] = 'PR';
		$this->country_data_r[__('Palestinian Territory', 'limit-login-countries')] = 'PS';
		$this->country_data_r[__('Portugal', 'limit-login-countries')] = 'PT';
		$this->country_data_r[__('Palau', 'limit-login-countries')] = 'PW';
		$this->country_data_r[__('Paraguay', 'limit-login-countries')] = 'PY';
		$this->country_data_r[__('Qatar', 'limit-login-countries')] = 'QA';
		$this->country_data_r[__('Reunion', 'limit-login-countries')] = 'RE';
		$this->country_data_r[__('Romania', 'limit-login-countries')] = 'RO';
		$this->country_data_r[__('Serbia', 'limit-login-countries')] = 'RS';
		$this->country_data_r[__('Russian Federation', 'limit-login-countries')] = 'RU';
		$this->country_data_r[__('Rwanda', 'limit-login-countries')] = 'RW';
		$this->country_data_r[__('Saudi Arabia', 'limit-login-countries')] = 'SA';
		$this->country_data_r[__('Solomon Islands', 'limit-login-countries')] = 'SB';
		$this->country_data_r[__('Seychelles', 'limit-login-countries')] = 'SC';
		$this->country_data_r[__('Sudan', 'limit-login-countries')] = 'SD';
		$this->country_data_r[__('Sweden', 'limit-login-countries')] = 'SE';
		$this->country_data_r[__('Singapore', 'limit-login-countries')] = 'SG';
		$this->country_data_r[__('Saint Helena', 'limit-login-countries')] = 'SH';
		$this->country_data_r[__('Slovenia', 'limit-login-countries')] = 'SI';
		$this->country_data_r[__('Svalbard and Jan Mayen', 'limit-login-countries')] = 'SJ';
		$this->country_data_r[__('Slovakia', 'limit-login-countries')] = 'SK';
		$this->country_data_r[__('Sierra Leone', 'limit-login-countries')] = 'SL';
		$this->country_data_r[__('San Marino', 'limit-login-countries')] = 'SM';
		$this->country_data_r[__('Senegal', 'limit-login-countries')] = 'SN';
		$this->country_data_r[__('Somalia', 'limit-login-countries')] = 'SO';
		$this->country_data_r[__('Suriname', 'limit-login-countries')] = 'SR';
		$this->country_data_r[__('South Sudan', 'limit-login-countries')] = 'SS';
		$this->country_data_r[__('Sao Tome and Principe', 'limit-login-countries')] = 'ST';
		$this->country_data_r[__('El Salvador', 'limit-login-countries')] = 'SV';
		$this->country_data_r[__('Sint Maarten (Dutch part)', 'limit-login-countries')] = 'SX';
		$this->country_data_r[__('Syrian Arab Republic', 'limit-login-countries')] = 'SY';
		$this->country_data_r[__('Swaziland', 'limit-login-countries')] = 'SZ';
		$this->country_data_r[__('Turks and Caicos Islands', 'limit-login-countries')] = 'TC';
		$this->country_data_r[__('Chad', 'limit-login-countries')] = 'TD';
		$this->country_data_r[__('French Southern Territories', 'limit-login-countries')] = 'TF';
		$this->country_data_r[__('Togo', 'limit-login-countries')] = 'TG';
		$this->country_data_r[__('Thailand', 'limit-login-countries')] = 'TH';
		$this->country_data_r[__('Tajikistan', 'limit-login-countries')] = 'TJ';
		$this->country_data_r[__('Tokelau', 'limit-login-countries')] = 'TK';
		$this->country_data_r[__('Timor-Leste', 'limit-login-countries')] = 'TL';
		$this->country_data_r[__('Turkmenistan', 'limit-login-countries')] = 'TM';
		$this->country_data_r[__('Tunisia', 'limit-login-countries')] = 'TN';
		$this->country_data_r[__('Tonga', 'limit-login-countries')] = 'TO';
		$this->country_data_r[__('Turkey', 'limit-login-countries')] = 'TR';
		$this->country_data_r[__('Trinidad and Tobago', 'limit-login-countries')] = 'TT';
		$this->country_data_r[__('Tuvalu', 'limit-login-countries')] = 'TV';
		$this->country_data_r[__('Taiwan', 'limit-login-countries')] = 'TW';
		$this->country_data_r[__('United Republic of Tanzania', 'limit-login-countries')] = 'TZ';
		$this->country_data_r[__('Ukraine', 'limit-login-countries')] = 'UA';
		$this->country_data_r[__('Uganda', 'limit-login-countries')] = 'UG';
		$this->country_data_r[__('United States Minor Outlying Islands', 'limit-login-countries')] = 'UM';
		$this->country_data_r[__('United States', 'limit-login-countries')] = 'US';
		$this->country_data_r[__('Uruguay', 'limit-login-countries')] = 'UY';
		$this->country_data_r[__('Uzbekistan', 'limit-login-countries')] = 'UZ';
		$this->country_data_r[__('Holy See (Vatican City State)', 'limit-login-countries')] = 'VA';
		$this->country_data_r[__('Saint Vincent and the Grenadines', 'limit-login-countries')] = 'VC';
		$this->country_data_r[__('Venezuela', 'limit-login-countries')] = 'VE';
		$this->country_data_r[__('British Virgin Islands', 'limit-login-countries')] = 'VG';
		$this->country_data_r[__('U.S. Virgin Islands', 'limit-login-countries')] = 'VI';
		$this->country_data_r[__('Vietnam', 'limit-login-countries')] = 'VN';
		$this->country_data_r[__('Vanuatu', 'limit-login-countries')] = 'VU';
		$this->country_data_r[__('Wallis and Futuna', 'limit-login-countries')] = 'WF';
		$this->country_data_r[__('Samoa', 'limit-login-countries')] = 'WS';
		$this->country_data_r[__('Yemen', 'limit-login-countries')] = 'YE';
		$this->country_data_r[__('Mayotte', 'limit-login-countries')] = 'YT';
		$this->country_data_r[__('South Africa', 'limit-login-countries')] = 'ZA';
		$this->country_data_r[__('Zambia', 'limit-login-countries')] = 'ZM';
		$this->country_data_r[__('Zimbabwe', 'limit-login-countries')] = 'ZW';

		$this->country_names[] = __('Anonymous Proxy', 'limit-login-countries');
		$this->country_names[] = __('Satellite Provider', 'limit-login-countries');
		$this->country_names[] = __('Andorra', 'limit-login-countries');
		$this->country_names[] = __('United Arab Emirates', 'limit-login-countries');
		$this->country_names[] = __('Afghanistan', 'limit-login-countries');
		$this->country_names[] = __('Antigua and Barbuda', 'limit-login-countries');
		$this->country_names[] = __('Anguilla', 'limit-login-countries');
		$this->country_names[] = __('Albania', 'limit-login-countries');
		$this->country_names[] = __('Armenia', 'limit-login-countries');
		$this->country_names[] = __('Angola', 'limit-login-countries');
		$this->country_names[] = __('Asia/Pacific Region', 'limit-login-countries');
		$this->country_names[] = __('Antarctica', 'limit-login-countries');
		$this->country_names[] = __('Argentina', 'limit-login-countries');
		$this->country_names[] = __('American Samoa', 'limit-login-countries');
		$this->country_names[] = __('Austria', 'limit-login-countries');
		$this->country_names[] = __('Australia', 'limit-login-countries');
		$this->country_names[] = __('Aruba', 'limit-login-countries');
		$this->country_names[] = __('Aland Islands', 'limit-login-countries');
		$this->country_names[] = __('Azerbaijan', 'limit-login-countries');
		$this->country_names[] = __('Bosnia and Herzegovina', 'limit-login-countries');
		$this->country_names[] = __('Barbados', 'limit-login-countries');
		$this->country_names[] = __('Bangladesh', 'limit-login-countries');
		$this->country_names[] = __('Belgium', 'limit-login-countries');
		$this->country_names[] = __('Burkina Faso', 'limit-login-countries');
		$this->country_names[] = __('Bulgaria', 'limit-login-countries');
		$this->country_names[] = __('Bahrain', 'limit-login-countries');
		$this->country_names[] = __('Burundi', 'limit-login-countries');
		$this->country_names[] = __('Benin', 'limit-login-countries');
		$this->country_names[] = __('Saint Barthelemy', 'limit-login-countries');
		$this->country_names[] = __('Bermuda', 'limit-login-countries');
		$this->country_names[] = __('Brunei Darussalam', 'limit-login-countries');
		$this->country_names[] = __('Bolivia', 'limit-login-countries');
		$this->country_names[] = __('Bonaire, Saint Eustatius and Saba', 'limit-login-countries');
		$this->country_names[] = __('Brazil', 'limit-login-countries');
		$this->country_names[] = __('Bahamas', 'limit-login-countries');
		$this->country_names[] = __('Bhutan', 'limit-login-countries');
		$this->country_names[] = __('Bouvet Island', 'limit-login-countries');
		$this->country_names[] = __('Botswana', 'limit-login-countries');
		$this->country_names[] = __('Belarus', 'limit-login-countries');
		$this->country_names[] = __('Belize', 'limit-login-countries');
		$this->country_names[] = __('Canada', 'limit-login-countries');
		$this->country_names[] = __('Cocos (Keeling) Islands', 'limit-login-countries');
		$this->country_names[] = __('The Democratic Republic of the Congo', 'limit-login-countries');
		$this->country_names[] = __('Central African Republic', 'limit-login-countries');
		$this->country_names[] = __('Congo', 'limit-login-countries');
		$this->country_names[] = __('Switzerland', 'limit-login-countries');
		$this->country_names[] = __('Cote D\'Ivoire', 'limit-login-countries');
		$this->country_names[] = __('Cook Islands', 'limit-login-countries');
		$this->country_names[] = __('Chile', 'limit-login-countries');
		$this->country_names[] = __('Cameroon', 'limit-login-countries');
		$this->country_names[] = __('China', 'limit-login-countries');
		$this->country_names[] = __('Colombia', 'limit-login-countries');
		$this->country_names[] = __('Costa Rica', 'limit-login-countries');
		$this->country_names[] = __('Cuba', 'limit-login-countries');
		$this->country_names[] = __('Cape Verde', 'limit-login-countries');
		$this->country_names[] = __('Curacao', 'limit-login-countries');
		$this->country_names[] = __('Christmas Island', 'limit-login-countries');
		$this->country_names[] = __('Cyprus', 'limit-login-countries');
		$this->country_names[] = __('Czech Republic', 'limit-login-countries');
		$this->country_names[] = __('Germany', 'limit-login-countries');
		$this->country_names[] = __('Djibouti', 'limit-login-countries');
		$this->country_names[] = __('Denmark', 'limit-login-countries');
		$this->country_names[] = __('Dominica', 'limit-login-countries');
		$this->country_names[] = __('Dominican Republic', 'limit-login-countries');
		$this->country_names[] = __('Algeria', 'limit-login-countries');
		$this->country_names[] = __('Ecuador', 'limit-login-countries');
		$this->country_names[] = __('Estonia', 'limit-login-countries');
		$this->country_names[] = __('Egypt', 'limit-login-countries');
		$this->country_names[] = __('Western Sahara', 'limit-login-countries');
		$this->country_names[] = __('Eritrea', 'limit-login-countries');
		$this->country_names[] = __('Spain', 'limit-login-countries');
		$this->country_names[] = __('Ethiopia', 'limit-login-countries');
		$this->country_names[] = __('Europe', 'limit-login-countries');
		$this->country_names[] = __('Finland', 'limit-login-countries');
		$this->country_names[] = __('Fiji', 'limit-login-countries');
		$this->country_names[] = __('Falkland Islands (Malvinas)', 'limit-login-countries');
		$this->country_names[] = __('Federated States of Micronesia', 'limit-login-countries');
		$this->country_names[] = __('Faroe Islands', 'limit-login-countries');
		$this->country_names[] = __('France', 'limit-login-countries');
		$this->country_names[] = __('Gabon', 'limit-login-countries');
		$this->country_names[] = __('United Kingdom', 'limit-login-countries');
		$this->country_names[] = __('Grenada', 'limit-login-countries');
		$this->country_names[] = __('Georgia', 'limit-login-countries');
		$this->country_names[] = __('French Guiana', 'limit-login-countries');
		$this->country_names[] = __('Guernsey', 'limit-login-countries');
		$this->country_names[] = __('Ghana', 'limit-login-countries');
		$this->country_names[] = __('Gibraltar', 'limit-login-countries');
		$this->country_names[] = __('Greenland', 'limit-login-countries');
		$this->country_names[] = __('Gambia', 'limit-login-countries');
		$this->country_names[] = __('Guinea', 'limit-login-countries');
		$this->country_names[] = __('Guadeloupe', 'limit-login-countries');
		$this->country_names[] = __('Equatorial Guinea', 'limit-login-countries');
		$this->country_names[] = __('Greece', 'limit-login-countries');
		$this->country_names[] = __('South Georgia and the South Sandwich Islands', 'limit-login-countries');
		$this->country_names[] = __('Guatemala', 'limit-login-countries');
		$this->country_names[] = __('Guam', 'limit-login-countries');
		$this->country_names[] = __('Guinea-Bissau', 'limit-login-countries');
		$this->country_names[] = __('Guyana', 'limit-login-countries');
		$this->country_names[] = __('Hong Kong', 'limit-login-countries');
		$this->country_names[] = __('Heard Island and McDonald Islands', 'limit-login-countries');
		$this->country_names[] = __('Honduras', 'limit-login-countries');
		$this->country_names[] = __('Croatia', 'limit-login-countries');
		$this->country_names[] = __('Haiti', 'limit-login-countries');
		$this->country_names[] = __('Hungary', 'limit-login-countries');
		$this->country_names[] = __('Indonesia', 'limit-login-countries');
		$this->country_names[] = __('Ireland', 'limit-login-countries');
		$this->country_names[] = __('Israel', 'limit-login-countries');
		$this->country_names[] = __('Isle of Man', 'limit-login-countries');
		$this->country_names[] = __('India', 'limit-login-countries');
		$this->country_names[] = __('British Indian Ocean Territory', 'limit-login-countries');
		$this->country_names[] = __('Iraq', 'limit-login-countries');
		$this->country_names[] = __('Islamic Republic of Iran', 'limit-login-countries');
		$this->country_names[] = __('Iceland', 'limit-login-countries');
		$this->country_names[] = __('Italy', 'limit-login-countries');
		$this->country_names[] = __('Jersey', 'limit-login-countries');
		$this->country_names[] = __('Jamaica', 'limit-login-countries');
		$this->country_names[] = __('Jordan', 'limit-login-countries');
		$this->country_names[] = __('Japan', 'limit-login-countries');
		$this->country_names[] = __('Kenya', 'limit-login-countries');
		$this->country_names[] = __('Kyrgyzstan', 'limit-login-countries');
		$this->country_names[] = __('Cambodia', 'limit-login-countries');
		$this->country_names[] = __('Kiribati', 'limit-login-countries');
		$this->country_names[] = __('Comoros', 'limit-login-countries');
		$this->country_names[] = __('Saint Kitts and Nevis', 'limit-login-countries');
		$this->country_names[] = __('Democratic People\'s Republic of Korea', 'limit-login-countries');
		$this->country_names[] = __('Republic of Korea', 'limit-login-countries');
		$this->country_names[] = __('Kuwait', 'limit-login-countries');
		$this->country_names[] = __('Cayman Islands', 'limit-login-countries');
		$this->country_names[] = __('Kazakhstan', 'limit-login-countries');
		$this->country_names[] = __('Lao People\'s Democratic Republic', 'limit-login-countries');
		$this->country_names[] = __('Lebanon', 'limit-login-countries');
		$this->country_names[] = __('Saint Lucia', 'limit-login-countries');
		$this->country_names[] = __('Liechtenstein', 'limit-login-countries');
		$this->country_names[] = __('Sri Lanka', 'limit-login-countries');
		$this->country_names[] = __('Liberia', 'limit-login-countries');
		$this->country_names[] = __('Lesotho', 'limit-login-countries');
		$this->country_names[] = __('Lithuania', 'limit-login-countries');
		$this->country_names[] = __('Luxembourg', 'limit-login-countries');
		$this->country_names[] = __('Latvia', 'limit-login-countries');
		$this->country_names[] = __('Libya', 'limit-login-countries');
		$this->country_names[] = __('Morocco', 'limit-login-countries');
		$this->country_names[] = __('Monaco', 'limit-login-countries');
		$this->country_names[] = __('Republic of Moldova', 'limit-login-countries');
		$this->country_names[] = __('Montenegro', 'limit-login-countries');
		$this->country_names[] = __('Saint Martin', 'limit-login-countries');
		$this->country_names[] = __('Madagascar', 'limit-login-countries');
		$this->country_names[] = __('Marshall Islands', 'limit-login-countries');
		$this->country_names[] = __('Macedonia', 'limit-login-countries');
		$this->country_names[] = __('Mali', 'limit-login-countries');
		$this->country_names[] = __('Myanmar', 'limit-login-countries');
		$this->country_names[] = __('Mongolia', 'limit-login-countries');
		$this->country_names[] = __('Macau', 'limit-login-countries');
		$this->country_names[] = __('Northern Mariana Islands', 'limit-login-countries');
		$this->country_names[] = __('Martinique', 'limit-login-countries');
		$this->country_names[] = __('Mauritania', 'limit-login-countries');
		$this->country_names[] = __('Montserrat', 'limit-login-countries');
		$this->country_names[] = __('Malta', 'limit-login-countries');
		$this->country_names[] = __('Mauritius', 'limit-login-countries');
		$this->country_names[] = __('Maldives', 'limit-login-countries');
		$this->country_names[] = __('Malawi', 'limit-login-countries');
		$this->country_names[] = __('Mexico', 'limit-login-countries');
		$this->country_names[] = __('Malaysia', 'limit-login-countries');
		$this->country_names[] = __('Mozambique', 'limit-login-countries');
		$this->country_names[] = __('Namibia', 'limit-login-countries');
		$this->country_names[] = __('New Caledonia', 'limit-login-countries');
		$this->country_names[] = __('Niger', 'limit-login-countries');
		$this->country_names[] = __('Norfolk Island', 'limit-login-countries');
		$this->country_names[] = __('Nigeria', 'limit-login-countries');
		$this->country_names[] = __('Nicaragua', 'limit-login-countries');
		$this->country_names[] = __('Netherlands', 'limit-login-countries');
		$this->country_names[] = __('Norway', 'limit-login-countries');
		$this->country_names[] = __('Nepal', 'limit-login-countries');
		$this->country_names[] = __('Nauru', 'limit-login-countries');
		$this->country_names[] = __('Niue', 'limit-login-countries');
		$this->country_names[] = __('New Zealand', 'limit-login-countries');
		$this->country_names[] = __('Other', 'limit-login-countries');
		$this->country_names[] = __('Oman', 'limit-login-countries');
		$this->country_names[] = __('Panama', 'limit-login-countries');
		$this->country_names[] = __('Peru', 'limit-login-countries');
		$this->country_names[] = __('French Polynesia', 'limit-login-countries');
		$this->country_names[] = __('Papua New Guinea', 'limit-login-countries');
		$this->country_names[] = __('Philippines', 'limit-login-countries');
		$this->country_names[] = __('Pakistan', 'limit-login-countries');
		$this->country_names[] = __('Poland', 'limit-login-countries');
		$this->country_names[] = __('Saint Pierre and Miquelon', 'limit-login-countries');
		$this->country_names[] = __('Pitcairn Islands', 'limit-login-countries');
		$this->country_names[] = __('Puerto Rico', 'limit-login-countries');
		$this->country_names[] = __('Palestinian Territory', 'limit-login-countries');
		$this->country_names[] = __('Portugal', 'limit-login-countries');
		$this->country_names[] = __('Palau', 'limit-login-countries');
		$this->country_names[] = __('Paraguay', 'limit-login-countries');
		$this->country_names[] = __('Qatar', 'limit-login-countries');
		$this->country_names[] = __('Reunion', 'limit-login-countries');
		$this->country_names[] = __('Romania', 'limit-login-countries');
		$this->country_names[] = __('Serbia', 'limit-login-countries');
		$this->country_names[] = __('Russian Federation', 'limit-login-countries');
		$this->country_names[] = __('Rwanda', 'limit-login-countries');
		$this->country_names[] = __('Saudi Arabia', 'limit-login-countries');
		$this->country_names[] = __('Solomon Islands', 'limit-login-countries');
		$this->country_names[] = __('Seychelles', 'limit-login-countries');
		$this->country_names[] = __('Sudan', 'limit-login-countries');
		$this->country_names[] = __('Sweden', 'limit-login-countries');
		$this->country_names[] = __('Singapore', 'limit-login-countries');
		$this->country_names[] = __('Saint Helena', 'limit-login-countries');
		$this->country_names[] = __('Slovenia', 'limit-login-countries');
		$this->country_names[] = __('Svalbard and Jan Mayen', 'limit-login-countries');
		$this->country_names[] = __('Slovakia', 'limit-login-countries');
		$this->country_names[] = __('Sierra Leone', 'limit-login-countries');
		$this->country_names[] = __('San Marino', 'limit-login-countries');
		$this->country_names[] = __('Senegal', 'limit-login-countries');
		$this->country_names[] = __('Somalia', 'limit-login-countries');
		$this->country_names[] = __('Suriname', 'limit-login-countries');
		$this->country_names[] = __('South Sudan', 'limit-login-countries');
		$this->country_names[] = __('Sao Tome and Principe', 'limit-login-countries');
		$this->country_names[] = __('El Salvador', 'limit-login-countries');
		$this->country_names[] = __('Sint Maarten (Dutch part)', 'limit-login-countries');
		$this->country_names[] = __('Syrian Arab Republic', 'limit-login-countries');
		$this->country_names[] = __('Swaziland', 'limit-login-countries');
		$this->country_names[] = __('Turks and Caicos Islands', 'limit-login-countries');
		$this->country_names[] = __('Chad', 'limit-login-countries');
		$this->country_names[] = __('French Southern Territories', 'limit-login-countries');
		$this->country_names[] = __('Togo', 'limit-login-countries');
		$this->country_names[] = __('Thailand', 'limit-login-countries');
		$this->country_names[] = __('Tajikistan', 'limit-login-countries');
		$this->country_names[] = __('Tokelau', 'limit-login-countries');
		$this->country_names[] = __('Timor-Leste', 'limit-login-countries');
		$this->country_names[] = __('Turkmenistan', 'limit-login-countries');
		$this->country_names[] = __('Tunisia', 'limit-login-countries');
		$this->country_names[] = __('Tonga', 'limit-login-countries');
		$this->country_names[] = __('Turkey', 'limit-login-countries');
		$this->country_names[] = __('Trinidad and Tobago', 'limit-login-countries');
		$this->country_names[] = __('Tuvalu', 'limit-login-countries');
		$this->country_names[] = __('Taiwan', 'limit-login-countries');
		$this->country_names[] = __('United Republic of Tanzania', 'limit-login-countries');
		$this->country_names[] = __('Ukraine', 'limit-login-countries');
		$this->country_names[] = __('Uganda', 'limit-login-countries');
		$this->country_names[] = __('United States Minor Outlying Islands', 'limit-login-countries');
		$this->country_names[] = __('United States', 'limit-login-countries');
		$this->country_names[] = __('Uruguay', 'limit-login-countries');
		$this->country_names[] = __('Uzbekistan', 'limit-login-countries');
		$this->country_names[] = __('Holy See (Vatican City State)', 'limit-login-countries');
		$this->country_names[] = __('Saint Vincent and the Grenadines', 'limit-login-countries');
		$this->country_names[] = __('Venezuela', 'limit-login-countries');
		$this->country_names[] = __('British Virgin Islands', 'limit-login-countries');
		$this->country_names[] = __('U.S. Virgin Islands', 'limit-login-countries');
		$this->country_names[] = __('Vietnam', 'limit-login-countries');
		$this->country_names[] = __('Vanuatu', 'limit-login-countries');
		$this->country_names[] = __('Wallis and Futuna', 'limit-login-countries');
		$this->country_names[] = __('Samoa', 'limit-login-countries');
		$this->country_names[] = __('Yemen', 'limit-login-countries');
		$this->country_names[] = __('Mayotte', 'limit-login-countries');
		$this->country_names[] = __('South Africa', 'limit-login-countries');
		$this->country_names[] = __('Zambia', 'limit-login-countries');
		$this->country_names[] = __('Zimbabwe', 'limit-login-countries');
	}

	/**
	 * Prints an array of all available country codes for use in JavaScript.
	 *
	 * @since 0.6
	 */
	public function wp_localize_country_codes() {
		wp_localize_script('limit-login-countries', 'llc_country_codes', $this->country_codes);
	}
}
